com.creamtec.ajaxswing.laf

## Class AjaxSwingTheme

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - javax.swing.plaf.metal.OceanTheme
      - - com.creamtec.ajaxswing.laf.AjaxSwingTheme

- Direct Known Subclasses:
    AjaxSwingLightTheme

      public class AjaxSwingTheme
      extends javax.swing.plaf.metal.OceanTheme

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingTheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `installDefaults()`

    - ### Methods inherited from class javax.swing.plaf.metal.OceanTheme

      `addCustomEntriesToTable, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getMenuDisabledForeground, getName`

    - ### Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme

      `getControlTextFont, getMenuTextFont, getSubTextFont, getSystemTextFont, getUserTextFont, getWindowTitleFont`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getFocusColor, getHighlightedTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getSystemTextColor, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingTheme

          public AjaxSwingTheme()

  - ### Method Detail

    - #### installDefaults

          public void installDefaults()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.